/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * Class representing a DetectedLanguage.
 */
class DetectedLanguage {
  /**
   * Create a DetectedLanguage.
   * @property {string} [name] Long name of a detected language (e.g. English,
   * French).
   * @property {string} [iso6391Name] A two letter representation of the
   * detected language according to the ISO 639-1 standard (e.g. en, fr).
   * @property {number} [score] A confidence score between 0 and 1. Scores
   * close to 1 indicate 100% certainty that the identified language is true.
   */
  constructor() {
  }

  /**
   * Defines the metadata of DetectedLanguage
   *
   * @returns {object} metadata of DetectedLanguage
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'DetectedLanguage',
      type: {
        name: 'Composite',
        className: 'DetectedLanguage',
        modelProperties: {
          name: {
            required: false,
            serializedName: 'name',
            type: {
              name: 'String'
            }
          },
          iso6391Name: {
            required: false,
            serializedName: 'iso6391Name',
            type: {
              name: 'String'
            }
          },
          score: {
            required: false,
            serializedName: 'score',
            type: {
              name: 'Number'
            }
          }
        }
      }
    };
  }
}

module.exports = DetectedLanguage;
