/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * Class representing a DocumentStatistics.
 */
class DocumentStatistics {
  /**
   * Create a DocumentStatistics.
   * @property {number} [charactersCount] Number of text elements recognized in
   * the document.
   * @property {number} [transactionsCount] Number of transactions for the
   * document.
   */
  constructor() {
  }

  /**
   * Defines the metadata of DocumentStatistics
   *
   * @returns {object} metadata of DocumentStatistics
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'DocumentStatistics',
      type: {
        name: 'Composite',
        className: 'DocumentStatistics',
        modelProperties: {
          charactersCount: {
            required: false,
            serializedName: 'charactersCount',
            type: {
              name: 'Number'
            }
          },
          transactionsCount: {
            required: false,
            serializedName: 'transactionsCount',
            type: {
              name: 'Number'
            }
          }
        }
      }
    };
  }
}

module.exports = DocumentStatistics;
