/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * Class representing a EntitiesBatchResultItem.
 */
class EntitiesBatchResultItem {
  /**
   * Create a EntitiesBatchResultItem.
   * @property {string} [id] Unique, non-empty document identifier.
   * @property {array} [entities] Recognized entities in the document.
   * @property {object} [statistics] (Optional) if showStats=true was specified
   * in the request this field will contain information about the document
   * payload.
   * @property {number} [statistics.charactersCount] Number of text elements
   * recognized in the document.
   * @property {number} [statistics.transactionsCount] Number of transactions
   * for the document.
   */
  constructor() {
  }

  /**
   * Defines the metadata of EntitiesBatchResultItem
   *
   * @returns {object} metadata of EntitiesBatchResultItem
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'EntitiesBatchResultItem',
      type: {
        name: 'Composite',
        className: 'EntitiesBatchResultItem',
        modelProperties: {
          id: {
            required: false,
            serializedName: 'id',
            type: {
              name: 'String'
            }
          },
          entities: {
            required: false,
            readOnly: true,
            serializedName: 'entities',
            type: {
              name: 'Sequence',
              element: {
                  required: false,
                  serializedName: 'EntityRecordElementType',
                  type: {
                    name: 'Composite',
                    className: 'EntityRecord'
                  }
              }
            }
          },
          statistics: {
            required: false,
            serializedName: 'statistics',
            type: {
              name: 'Composite',
              className: 'DocumentStatistics'
            }
          }
        }
      }
    };
  }
}

module.exports = EntitiesBatchResultItem;
