/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * Class representing a MultiLanguageInput.
 */
class MultiLanguageInput {
  /**
   * Create a MultiLanguageInput.
   * @property {string} [language] This is the 2 letter ISO 639-1
   * representation of a language. For example, use "en" for English; "es" for
   * Spanish etc.,
   * @property {string} [id] Unique, non-empty document identifier.
   * @property {string} [text]
   */
  constructor() {
  }

  /**
   * Defines the metadata of MultiLanguageInput
   *
   * @returns {object} metadata of MultiLanguageInput
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'MultiLanguageInput',
      type: {
        name: 'Composite',
        className: 'MultiLanguageInput',
        modelProperties: {
          language: {
            required: false,
            serializedName: 'language',
            type: {
              name: 'String'
            }
          },
          id: {
            required: false,
            serializedName: 'id',
            type: {
              name: 'String'
            }
          },
          text: {
            required: false,
            serializedName: 'text',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = MultiLanguageInput;
