/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * Class representing a RequestStatistics.
 */
class RequestStatistics {
  /**
   * Create a RequestStatistics.
   * @property {number} [documentsCount] Number of documents submitted in the
   * request.
   * @property {number} [validDocumentsCount] Number of valid documents. This
   * excludes empty, over-size limit or non-supported languages documents.
   * @property {number} [erroneousDocumentsCount] Number of invalid documents.
   * This includes empty, over-size limit or non-supported languages documents.
   * @property {number} [transactionsCount] Number of transactions for the
   * request.
   */
  constructor() {
  }

  /**
   * Defines the metadata of RequestStatistics
   *
   * @returns {object} metadata of RequestStatistics
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'RequestStatistics',
      type: {
        name: 'Composite',
        className: 'RequestStatistics',
        modelProperties: {
          documentsCount: {
            required: false,
            serializedName: 'documentsCount',
            type: {
              name: 'Number'
            }
          },
          validDocumentsCount: {
            required: false,
            serializedName: 'validDocumentsCount',
            type: {
              name: 'Number'
            }
          },
          erroneousDocumentsCount: {
            required: false,
            serializedName: 'erroneousDocumentsCount',
            type: {
              name: 'Number'
            }
          },
          transactionsCount: {
            required: false,
            serializedName: 'transactionsCount',
            type: {
              name: 'Number'
            }
          }
        }
      }
    };
  }
}

module.exports = RequestStatistics;
